Description

An interesting plug-in, made by Albert Ferràs, just appeared in my "New" plug-in tab. The problem is that it asks for a module named

"debugsimp" that I cannot find anywhere. Anyone has a tip? I'm using MacOSX. 

Sometimes plug-ins ask for dependencies that are mandatory to the plug-in installation. Whenever possible, unless there are author rights

issues, every Plug-in dependence should be installed while installing the plug-in IN ALL PLATFORMS. One of the QGIS strengths is

precisely the multi-plattform availability. However, considering plug-ins, this not always work as expected. I like the "R" statistical package

approach for dependencies installation and the QGIS team should think in some mechanism to automate this plug-in dependence

problem. 

Best Regards.

History

#1 - 2014-05-24 08:06 PM - Etienne Tourigny

This is probably better off in the plugin's bug tracker or contacting the plugin author. By the way you don't even name this plugin.

#2 - 2014-05-25 05:14 AM - Rhenriques Henriques

The plug-in is called SimpliPy. Beyond this particular plug-in problem, interpret my message as a suggestion for a better plug-in management system in

QGIS. It's already great "as is" but it could be even better if there was a simple system for manage dependencies. 

Best Regards

#3 - 2014-05-26 03:39 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Rejected

Issues for 3rd party plugins are to be reported in the tracker defined by the developer, in this case the link is in the plugin detail in the qgis plugin manager:

https://github.com/albertferras/simplipy/issues

About dependencies:

the error you posted seems more an error than a real python dependency. Anyway: the most common dependencies (scipy, matplotlib, etc.) are bundled

into Windows installers, on Linux and OsX I guess it is better to handle them as usual, at a system level.

#4 - 2014-05-26 02:11 PM - Albert Ferras

Hi I'm the creator of that plugin. This was a mistake I made when releasing the first version of the plugin, that I forgot to delete some debugging file that I
https://github.com/albertferras/simplipy/issues


was using. If you update your plugin to 0.2.1 it shouldn't complain again about this.
